<h3 class="mb-0">{{ 'modules.auth.register.title' | translate }}</h3>
<small class="d-block px-5">{{ 'modules.auth.register.subtitle' | translate }}</small>
<form novalidate [formGroup]="registerForm" (ngSubmit)="onSubmit()" class="form form-horizontal form-bordered px-2 pt-3">
    <div class="form-body">
        <!-- First Name -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="firstName">{{ 'forms.fields.firstName' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="firstName" formControlName="firstName" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('firstName').hasError('required') && (registerForm.get('firstName').dirty || registerForm.get('firstName').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>
        <!-- Last Name -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="lastName">{{ 'forms.fields.lastName' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="lastName" formControlName="lastName" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('lastName').hasError('required') && (registerForm.get('lastName').dirty || registerForm.get('lastName').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>        
        <!-- Phone -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="phone">{{ 'forms.fields.phone' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="phone" formControlName="phone" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('phone').hasError('required') && (registerForm.get('phone').dirty || registerForm.get('phone').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>        
        <!-- Identification -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="identification">{{ 'forms.fields.identification' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="identification" formControlName="identification" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('identification').hasError('required') && (registerForm.get('identification').dirty || registerForm.get('identification').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>        
        <!-- Profession -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="profession">{{ 'forms.fields.profession' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="profession" formControlName="profession" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('profession').hasError('required') && (registerForm.get('profession').dirty || registerForm.get('profession').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>        
        <!-- Workplace -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="workplace">{{ 'forms.fields.workplace' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="workplace" formControlName="workplace" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('workplace').hasError('required') && (registerForm.get('workplace').dirty || registerForm.get('workplace').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>
        <!-- E-mail -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="email">{{ 'forms.fields.email' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="text" class="form-control" name="email" formControlName="email" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('email').hasError('required') && (registerForm.get('email').dirty || registerForm.get('email').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('email').hasError('email') && (registerForm.get('email').dirty || registerForm.get('email').touched)">
                    {{ 'forms.messages.invalidEmail' | translate }}
                </small>
            </div>
        </div>
        <!-- Password -->
        <div class="form-group row">
            <label class="col-md-4 label-control" for="password">{{ 'forms.fields.password' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="password" class="form-control" name="password" formControlName="password" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('password').hasError('required') && (registerForm.get('password').dirty || registerForm.get('password').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
            </div>
        </div>
        <!-- Repeat Password -->
        <div class="form-group row last">
            <label class="col-md-4 label-control" for="password">{{ 'forms.fields.repeatPassword' | translate }}</label>
            <div class="col-md-8">
                <div class="position-relative">
                    <input type="password" class="form-control" name="repeatPassword" formControlName="repeatPassword" />
                </div>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="registerForm.get('repeatPassword').hasError('required') && (registerForm.get('repeatPassword').dirty || registerForm.get('repeatPassword').touched)">
                    {{ 'forms.messages.required' | translate }}
                </small>
                <small class="form-text text-muted text-left pt-1 danger" *ngIf="!registerForm.get('repeatPassword').hasError('required') && registerForm.hasError('mismatch') && (registerForm.get('repeatPassword').dirty || registerForm.get('repeatPassword').touched)">
                    {{ 'forms.messages.passwordMismatch' | translate }}
                </small>
            </div>
        </div>
        <!-- Actions -->
        <div class="form-actions right">
            <button type="button" class="btn btn-white black mr-1" (click)="goBack()">
                {{ 'forms.buttons.goBack' | translate }}
            </button>
            <button type="submit" class="btn btn-raised btn-primary" [disabled]="!registerForm.valid">
                {{ 'forms.buttons.register' | translate }}
            </button>
        </div>
    </div>
</form>